// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：短信息发送
//author：feizhao
//date：2017-11-17
//discription：用于测试登陆后，综合业务-短信管理的页面对已经生成但未发送的短信发送
//step：1.登录主页面  2.查询未发送短信  3.发送短信息
//修改人：
//修改日期：
//修改内容：

//Account setting.
const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   'login tests': function (browser) {
     browser
     .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
     .waitForElementVisible('body', 100)
     .setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)
//点击综合业务-发送短信
     .click('#vc-tree-name-综合业务')
     .pause(1000)
     .click('#vc-tree-name-短信管理')
     .pause(5000)
     //查询未发送的短信息
     .pause(1000)
     .click('#tooltip div span div :nth-child(4) div button')
     .pause(1000)
     .click('#tooltip div span div :nth-child(4) div ul li:nth-child(2)')
     .pause(1000)
     .click('#comprehen-message-mesLis-查询')
     .pause(1000)
     .click('#tooltip div div div table thead tr :first-child input[type=checkbox]')
    //  .pause(1000)
    //  .click('#comprehen-message-mesLis-发送')
     .pause(5000)
     .end();
   }
 }
